Word een virtuele detective met OSRFramework

Verberg onze identiteit op internet Het wordt steeds moeilijker vanwege het grote aantal tools, algoritmen en technologieën die zijn ontwikkeld om gebruikers te volgen en hun gedrag te identificeren. Bijna altijd worden deze tools gemaakt om criminelen aan te vallen die zich in de anonimiteit van het netwerk verbergen om misdaden te plegen en in het tegenovergestelde geval om te spioneren, de rechten van burgers te schenden of informatie te stelen.

Een van de duizenden tools die zijn gemaakt om gebruikers op internet te volgen, is OSRFramework, wat ons de mogelijkheid geeft om naar een gebruiker te zoeken op duizenden sites in het deep web en gedetailleerde rapporten van hun sporen op het web te plaatsen.

Met deze krachtige open source tool kunnen we virtuele detectives worden die op basis van diverse informatie criminelen, vermiste personen of zelfs concurrenten kunnen opsporen.

Wat is OSRFramework?

Het is een open source tool, ontwikkeld door de Spaanse Brezo en Rubio, die een reeks bibliotheken groepeert waarmee inlichtingendiensten snel en automatisch kunnen worden uitgevoerd. De tool maakt het mogelijk gebruikersnamen te controleren op meer dan 200 websites en op sommige verborgen pagina's in het deep web, het maakt ook diepgaande zoekopdrachten in dns, e-mail en andere informatie van elk profiel. osrframework

De tool geeft ons de mogelijkheid om een ​​gebruiker te volgen in bijna alle belangrijke netwerkdiensten die tegenwoordig bestaan. In het verleden is het gebruikt om te volgen sporen van terroristen, maar het gebruik ervan kan worden toegepast op een eindeloos aantal doelstellingen, vooral in die waar we de informatie van een gebruiker of van de concurrentie willen groeperen.

Deze tool is gemaakt in Python, dus het is platformonafhankelijk en gemakkelijk te gebruiken, met adequate parametrisering kunnen we informatie vinden die verwijst naar bijna elk profiel, zodat onderzoekers deze tool kunnen gebruiken als een perfecte aanvulling bij het volgen van mensen.

Hoe OSRFramework te installeren

De installatie van OSRFramework Het is extreem eenvoudig, laat python gewoon installeren en voer de volgende opdracht uit: sudo pip install osrframework

Hiermee hebben we al alle hulpprogramma's die OSRFramework ons ​​biedt, voor het geval we willen weten in welke sociale netwerken een gebruikersnaam wordt gevonden, kunnen we gebruiken usufy.py als volgt

usufy.py -n desdelinux -p twitter github instagram badoo facebook

Of als we dat niet doen, als we een e-mail willen volgen, kunnen we er gebruik van maken mailfy.py als volgt:

mailfy.py -m “i3visio@gmail.com”

 


De inhoud van het artikel voldoet aan onze principes van redactionele ethiek. Klik op om een ​​fout te melden hier.

8 reacties, laat de jouwe achter

Laat je reactie achter

Uw e-mailadres wordt niet gepubliceerd. Verplichte velden zijn gemarkeerd met *

*

*

  1. Verantwoordelijk voor de gegevens: Miguel Ángel Gatón
  2. Doel van de gegevens: Controle SPAM, commentaarbeheer.
  3. Legitimatie: uw toestemming
  4. Mededeling van de gegevens: De gegevens worden niet aan derden meegedeeld, behalve op grond van wettelijke verplichting.
  5. Gegevensopslag: database gehost door Occentus Networks (EU)
  6. Rechten: u kunt uw gegevens op elk moment beperken, herstellen en verwijderen.

  1.   Simon Martinez zei

    Ik gebruik Python zeer recent en ik weet niet hoe ik het probleem moet oplossen bij het installeren ervan.

    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/tmp/pip-build-q1sw7ym_/osrframework/setup.py", line 38
    print "[*] The installation is going to be run as superuser."
    ^

    SyntaxError: Ontbrekende haakjes in aanroep naar 'print'

    Het lijkt erop dat het de syntaxis van python 2 gebruikt en ik weet niet hoe ik pip in die versie moet laten draaien en niet in 3
    Als je me kunt helpen Dank je wel

    1.    Benedict zei

      Hallo hoe gaat het, in plaats van sudo pip install osrframework aan te roepen, doe je het als volgt sudo pip2 install osrframework zodat je python2 gebruikt en niet python3

      groeten

    2.    ranceis zei

      Iets beters dat u zou kunnen doen, is virtualenv installeren en een virtuele omgeving maken voor de versie van python die u nodig hebt, zodat u de versie van uw besturingssysteem niet opoffert of hoeft te converteren

  2.   Carlos zei

    Hallo Simon:

    Ik ben geen expert op deze onderwerpen, maar ik denk dat enkele van de mogelijkheden die u zou kunnen gebruiken zijn:

    Gebruik Python 2.7 en dan krijg je het probleem niet.
    Gebruik een Python 2 naar 3 conversiehulpprogramma (zoals 2to3). Het probleem hiermee is dat het zelfs meer fouten kan genereren dan u al heeft.
    Installeer pyenv om verschillende versies van Python in een lokale omgeving te gebruiken (zonder het in systeemmappen zoals / bin of / usr [/ local] / bin te installeren). Je hebt een geïsoleerde omgeving om te werken met de versie van Python die je wilt.

    Ik hoop dat ik had kunnen helpen.

  3.   andres zei

    Hallo, ik heb de hele procedure gedaan, wat vrij eenvoudig is, maar ik weet niet of ik nog steeds iets verkeerd heb gedaan, omdat het voor mij niet werkt.Ik volgde de stappen zoals ze zijn, ik gebruik manjaro 17 met kde

  4.   victor baca zei

    waren ze in staat om ok te installeren en te gebruiken?

  5.   milton zei

    Dit vertelt me ​​dit in cali linux dat ik het normaal zou kunnen installeren, maar als ik de code uitvoer:
    bash: /usr/local/biin/usufy.py: toestemming geweigerd
    Wat kan ... zijn? Ik ben al als rootgebruiker

  6.   BIGTIME zei

    Hertraceren (meest recente oproep als laatste)
    Bestand "/usr/local/bin/mailfy.py", regel 11, in
    load_entry_point ('osrframework == 0.18.8', 'console_scripts', 'mailfy.py') ()
    Bestand "/usr/local/lib/python2.7/dist-packages/osrframework/mailfy.py", regel 468, in main
    parser = getParser ()
    Bestand "/usr/local/lib/python2.7/dist-packages/osrframework/mailfy.py", regel 433, in getParser
    groupProcessing.add_argument ('- e', '–extension', metavar = », nargs = '+', choice = ['csv', 'gml', 'json', 'ods', 'png', 'txt' , 'xls', 'xlsx'], required = False, default = DEFAULT_VALUES ["extension"], action = 'store', help = 'output extensie voor de samenvattingsbestanden. Standaard: xls.')
    KeyError: 'extensie'

    Ik sla dit over, iemand kan me helpen.